<?php 
/*
	by Jude <surftheair@gmail.com>
	http://jude.im/
	works with Icecast 2.3.2
*/

//require('config.php');
define(SERVER, 'http://127.0.0.1:8002');//your icecast server address, without the ending "/"
define(MOUNT, '/airtime_96.ogg'); //your radio's mount point, with the leading "/"
$stream = getStreamInfo();


function getStreamInfo(){
	$str = @file_get_contents(SERVER.'/status.xsl?mount='.MOUNT);
	if(preg_match_all('/<td\s[^>]*class=\"streamdata\">(.*)<\/td>/isU', $str, $match)){
		$stream['info']['status'] = 'ON AIR';
		$stream['info']['title'] = $match[1][0]; 
		$stream['info']['description'] = $match[1][1]; 
		$stream['info']['type'] = $match[1][2]; 
		$stream['info']['start'] = $match[1][3]; 
		$stream['info']['bitrate'] = $match[1][4]; 
		$stream['info']['listeners'] = $match[1][5]; 
		$stream['info']['msx_listeners'] = $match[1][6]; 
		$stream['info']['genre'] = $match[1][7]; 
		$stream['info']['stream_url'] = $match[1][8];
		$stream['info']['artist_song'] = $match[1][9];
			$x = explode(" - ",$match[1][9]); 
		$stream['info']['artist'] = $x[0]; 
		$stream['info']['song'] = $x[1];
	}
	else{
		$stream['info']['status'] = 'OFF AIR';
	}
	return $stream;
}


?>
